Package skyview.geometry.csys

# Class Julian

java.lang.Object
skyview.geometry.CoordinateSystem
skyview.geometry.csys.Julian

All Implemented Interfaces:
  `Serializable`, `Component`

public class Julian extends CoordinateSystem implements Component
The class defining Julian coordinate systems. The reference coordinate system is J2000. We use the FK5 coordinate frame as the realization of the Julian coordinate system. At the 50 milliarcsecond level this is not valid: There is an offset of J2000 and FK5. However the details of this offset are still somewhat unclear, so we use the better defined frame.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class skyview.geometry.CoordinateSystem

`B1950, Gal, ICRS, J2000`

## Constructor Summary

Constructors
Constructor
Description
`Julian(double epoch)`
Get a Julian CoordinateSystem of a given epoch.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Get a description of the object.
`String`
`getName()`
Get the name of this object.
`Rotater`
`getRotater()`
Return the rotation associated with the coordinate system.
`Rotater`
`precession()`
Get the Julian Precession Matrix for a given epoch (from J2000).

### Methods inherited from class skyview.geometry.CoordinateSystem

`factory, factory, getSphereDistorter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Julian

public Julian(double epoch)
Get a Julian CoordinateSystem of a given epoch.

Parameters:
  `epoch` - The epoch of the equinox of the coordinates in calendar years (possibly fractional).

## Method Details

### getName

public String getName()
Get the name of this object.

Specified by:
  `getName` in interface `Component`

### getDescription

public String getDescription()
Get a description of the object.

Specified by:
  `getDescription` in interface `Component`

### getRotater

public Rotater getRotater()
Return the rotation associated with the coordinate system.

Specified by:
  `getRotater` in class `CoordinateSystem`

### precession

public Rotater precession()
Get the Julian Precession Matrix for a given epoch (from J2000). Approach based on P.Wallace's SLA library. The equations are available in Kaplan, USNO Circular 163, 1981, page A2. Here we assume in these equations we assume T=0 so that we are doing a transformation between J2000 and the specified ending epoch.